net.sourceforge.pmd.cpd

## Class LanguageFactory

- java.lang.Object
- - net.sourceforge.pmd.cpd.LanguageFactory

-     public class LanguageFactory
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BY_EXTENSION`
    `static String` | `EXTENSION`
    `static String[]` | `supportedLanguages`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LanguageFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Language` | `createLanguage(String language)`
    `Language` | `createLanguage(String language, Properties properties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### supportedLanguages

          public static String[] supportedLanguages

    - #### EXTENSION

          public static final String EXTENSION

      See Also:
        Constant Field Values

    - #### BY_EXTENSION

          public static final String BY_EXTENSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LanguageFactory

          public LanguageFactory()

  - ### Method Detail

    - #### createLanguage

          public Language createLanguage(String language)

    - #### createLanguage

          public Language createLanguage(String language,
                                Properties properties)

Copyright © 2002-2013 InfoEther. All Rights Reserved.